Vector BLF: Vector::BLF::LogContainer Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::LogContainer Struct Referencefinal

LOG_CONTAINER. More...

`#include <LogContainer.h>`

Inheritance diagram for Vector::BLF::LogContainer:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
uint16_t | internalHeaderSize () const
virtual void | uncompress ()
virtual void | compress (const uint16_t compressionMethod, const int compressionLevel)
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint16_t | compressionMethod {}
uint16_t | reservedLogContainer1 {}
uint32_t | reservedLogContainer2 {}
uint32_t | uncompressedFileSize {}
uint32_t | reservedLogContainer3 {}
std::vector< uint8_t > | compressedFile {}
std::vector< uint8_t > | uncompressedFile {}
uint32_t | compressedFileSize {}
std::streampos | filePosition {}
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Detailed Description

LOG_CONTAINER.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::LogContainer::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ compress()

void Vector::BLF::LogContainer::compress | ( | const uint16_t | compressionMethod,
|  | const int | compressionLevel
| ) |  |
| virtual

compress data

Parameters

  [in] | compressionMethod | compression method
  [in] | compressionLevel | compression level (different for each method)

## ◆ internalHeaderSize()

uint16_t Vector::BLF::LogContainer::internalHeaderSize | ( |  | ) | const

internalHeaderSize returns the size of all headers.

Note
  Not to be mixed with headerSize, which only takes ObjectHeaderBase headers into account.

Returns
  Size of all headers.

## ◆ read()

void Vector::BLF::LogContainer::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ uncompress()

void Vector::BLF::LogContainer::uncompress | ( |  | ) |
| virtual

uncompress data

## ◆ write()

void Vector::BLF::LogContainer::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ compressedFile

std::vector<uint8_t> Vector::BLF::LogContainer::compressedFile {}

compressed file content

## ◆ compressedFileSize

uint32_t Vector::BLF::LogContainer::compressedFileSize {}

compressed file size in bytes

## ◆ compressionMethod

uint16_t Vector::BLF::LogContainer::compressionMethod {}

compression method

- 0: no compression
- 2: zlib deflate

## ◆ filePosition

std::streampos Vector::BLF::LogContainer::filePosition {}

position of this LogContainer::uncompressedFile within UncompressedFile class

## ◆ reservedLogContainer1

uint16_t Vector::BLF::LogContainer::reservedLogContainer1 {}

reserved

## ◆ reservedLogContainer2

uint32_t Vector::BLF::LogContainer::reservedLogContainer2 {}

reserved

## ◆ reservedLogContainer3

uint32_t Vector::BLF::LogContainer::reservedLogContainer3 {}

reserved

## ◆ uncompressedFile

std::vector<uint8_t> Vector::BLF::LogContainer::uncompressedFile {}

uncompressed file content

## ◆ uncompressedFileSize

uint32_t Vector::BLF::LogContainer::uncompressedFileSize {}

uncompressed file size in bytes

The documentation for this struct was generated from the following files:

- LogContainer.h
- LogContainer.cpp